negative buffer: fTools buffer tool should delete the records of features that eventually have 

disappeared

2012-06-12 04:10 PM - Pieter Roggemans

Status: Closed

Priority: High

Assignee:

Category: Processing/QGIS

Affected QGIS version:master Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 15281

Description

new description:

When doing a negative buffer of a polygon layer, there is the chance that (if the buffer distance is above a certain value) a few features

will disappear. At this moment the records in the table of attributes belonging to this no more existing features are kept, and this create

many inconsistencies (at canvas level, at attributes table level and so on).

------------------------

old description:

When applying a negative buffer to objects, if they are smaller than the buffer, features without any points are put in the output shape file.

Reproducable in version 1.7.4 and 1.8.0 with the shape files in attachment with a negative buffer of -8 meter.

PS: the check geometry tool doesn't report this... I made a separate bug report for this: #5788

Associated revisions

Revision d476aed4 - 2013-07-14 09:55 PM - Daniel Vaz

Fix #5789

Revision 2192cc70 - 2013-07-16 01:26 PM - Nathan Woodrow

Merge pull request #732 from ddanielvaz/fix-5789

Fix #5789

History

#1 - 2012-09-04 12:06 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#2 - 2013-04-12 08:36 PM - maning sambale

- File Screen_Shot_2013-04-13_at_11.35.13_AM.png added

I confirm this behavior in the latest nightly build.  In addition, if the negative buffer distance is smaller than the input polygon, it still creates an attribute
record in the attribute table.

The attached screenshot shows that only one polygon (in black) is displayed but there are two rows in the attribute table.

System: Ubuntu precise latest nightly build.

#3 - 2013-07-12 10:49 AM - Paolo Cavallini

- Category set to 44

#4 - 2013-07-13 09:37 AM - Giovanni Manghi

- Priority changed from Normal to High

- Subject changed from fTools Buffer tool used with with negative distance creates NULL features  to negative buffer: fTools buffer tool should delete the 

records of features that eventually have disappeared

#5 - 2013-07-14 12:58 PM - Daniel Vaz

Please see https://github.com/qgis/Quantum-GIS/pull/732 that fix this bug.

Thanks in advance

#6 - 2013-07-15 01:08 AM - Giovanni Manghi

- Pull Request or Patch supplied changed from No to Yes

#7 - 2013-07-16 04:26 AM - Nathan Woodrow

- Status changed from Open to Closed

Fixed in changeset commit:"2192cc70049f9d21f954a9324b8fdd5128d71758".

#8 - 2017-05-01 01:22 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.

Files

Screen_Shot_2013-04-13_at_11.35.13_AM.png 214 KB 2013-04-12 maning sambale

2025-04-26 2/2

https://github.com/qgis/Quantum-GIS/pull/732

